%define major 3
%define minor 5
%define bugfix 7

Name: kde-common
Version: %major.%minor.%bugfix
Release: alt1

Summary: The basic directory layout for KDE
License: Public Domain
Group: System/Base
BuildArch: noarch

Obsoletes: kde3-common < %version-%release
Provides: kde3-common = %version-%release

%description
The %name package is one of the basic KDE packages that is installed on
a %distribution system; %name contains the basic directory layout
for the K Desktop Environment, including the correct permissions for the
directories.

%install
mkdir -p %buildroot/%_sysconfdir/kde/config/kdm
mkdir -p %buildroot/%_sysconfdir/kde-profile/default
pushd %buildroot/%_sysconfdir
	mkdir -p kde/xdg/menus/applications-merged
popd
mkdir -p %buildroot/%_datadir
pushd %buildroot/%_datadir
	mkdir -p applications/kde
#	mkdir -p applications-alt
#	mkdir -p desktop-directories
#	mkdir -p desktop-directories-alt
#
	mkdir -p alt/kde
	mkdir -p kde/locale/en_US
	mkdir -p kde/locale/l10n
	mkdir -p applnk-alt
#	mkdir -p applnk-custom
	mkdir -p applnk/.hidden
	mkdir -p applnk/Applications
	mkdir -p applnk/Development
	mkdir -p applnk/Editors
	mkdir -p applnk/Edutainment/{,French}
	mkdir -p applnk/Games/{Arcade,Board,Card,Strategy,Tactic,TacticStrategy,Roguelikes}
	mkdir -p applnk/Graphics
	mkdir -p applnk/Internet/Terminal
	mkdir -p applnk/Multimedia
	mkdir -p applnk/Office
	mkdir -p applnk/Settingsmenu
	mkdir -p applnk/Settings/{Components,Databases,FileBrowsing,Help,Information,Network,Peripherals}
	mkdir -p applnk/Settings/{Personalization,PowerControl,Sound,System,WebBrowsing}
	mkdir -p applnk/Settings/LookNFeel/{Desktop,Themes,Windows}
	mkdir -p applnk/System/{ScreenSavers,Terminal}
	mkdir -p applnk/Toys
	mkdir -p applnk/Utilities
	mkdir -p apps/profiles
	mkdir -p autostart
	mkdir -p config
	mkdir -p config.kcfg
	mkdir -p mimelnk/{all,application,audio,fonts,image,inode,interface,kdedevice,message,model,multipart,print,text,video}
	mkdir -p services/{kconfiguredialog,kded,searchproviders,useragentstrings}
	mkdir -p servicetypes
	mkdir -p templates
	mkdir -p wallpapers
	mkdir -p icons/crystalsvg/{16x16,22x22,32x32,48x48,64x64,128x128,scalable}/{actions,apps,devices,filesystems,mimetypes}
	mkdir -p icons/favicons
popd

mkdir -p %buildroot/%_libdir
pushd %buildroot/%_libdir
    mkdir -p kde3/plugins/styles
popd

%files
#
%_sysconfdir/kde/
%_sysconfdir/kde-profile/
%_libdir/*
%_datadir/*
%exclude %dir %_iconsdir
%exclude %dir %_datadir/applications

%changelog
* Fri Aug 31 2007 Sergey V Turchin <zerg at altlinux dot org> 3.5.7-alt1
- add /etc/kde-profile
- drop /var/lib/cddb

* Mon Dec 04 2006 Sergey V Turchin <zerg at altlinux dot org> 3.5.5-alt1
- add /etc/kde/xdg/menus/applications-merged

* Mon Nov 28 2005 Sergey V Turchin <zerg at altlinux dot org> 3.5.0-alt1
- new version

* Fri Jun 17 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.1-alt1
- remove ownership of /usr/share/applications

* Thu Mar 31 2005 Sergey V Turchin <zerg at altlinux dot org> 3.4.0-alt1
- new version

* Tue Jan 11 2005 Sergey V Turchin <zerg at altlinux dot org> 3.3.2-alt1
- new version

* Tue Jan 04 2005 ZerG <zerg@altlinux.ru> 3.3.2-alt0.0.M24
- new version

* Thu Sep 30 2004 Sergey V Turchin <zerg at altlinux dot org> 3.3.0-alt1
- new version

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2.3-alt1
- add %%_libdir/kde3/plugins/styles
- bump version

* Tue Jan 13 2004 Sergey V Turchin <zerg at altlinux dot org> 3.2-alt1
- move /usr/share/icons/crystal to /usr/share/icons/crystalsvg
- remove unused dirs

* Fri Jan 31 2003 Sergey V Turchin <zerg@altlinux.ru> 3.1-alt3
- remove /usr/share/locale/all_languages

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1-alt2
- add cddb dirs

* Wed Oct 09 2002 Sergey V Turchin <zerg@altlinux.ru> 3.1-alt1
- build for KDE 3.1

* Fri Aug 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt6
- add %_datadir/alt/kde

* Fri Apr 19 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt5
- move to /usr

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt4
- add some dirs

* Mon Mar 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt3
- add some dirs

* Mon Mar 25 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt2
- s/applnk\.kde/applnk/

* Thu Mar 21 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- build for kde3

* Fri Sep 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0-alt0.1
- Initial revision.
